Bug 250043 - udev broken again
udev broken again
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-29 23:18 EDT by David Zeuthen
Modified: 2013-03-05 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 12:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2007-07-29 23:18:59 EDT
udev-113-6.fc6

No modules are loaded by start_udev; the culprit is in 05-udev-early-rules; you
need to use /sbin/modprobe instead of just modprobe for the RUN rule. Please fix
this ASAP, thanks.
Comment 1 David Zeuthen 2007-07-29 23:20:13 EDT
I meant udev-113-6.fc8 of course.
Comment 2 Harald Hoyer 2007-07-30 02:49:14 EDT
udev-113-6.fc8? udev-113-7.fc8 is the latest... please check again, also if
there are *.newrpm
Comment 3 Harald Hoyer 2007-07-30 03:12:20 EDT
# fgrep modprobe *.rules|fgrep RUN
06-udev-rh-early.rules:ACTION=="add", SUBSYSTEM=="?*", ENV{MODALIAS}=="?*",
RUN+="/sbin/modprobe $env{MODALIAS}"
06-udev-rh-early.rules:ACTION=="add", SUBSYSTEM=="pnp", ATTR{id}=="?*",
RUN+="/sbin/modprobe pnp:d$attr{id}"
50-udev.rules:          RUN+="/sbin/modprobe ide-scsi idescsi_nocd=1"
50-udev.rules:ACTION=="add", SUBSYSTEM=="scsi_device"   RUN+="/sbin/modprobe sg"
50-udev.rules:  RUN+="/sbin/modprobe sd_mod"
50-udev.rules:  RUN+="/sbin/modprobe sr_mod"
50-udev.rules:  ATTRS{model}!="ADR*", RUN+="/sbin/modprobe osst"
50-udev.rules:  ATTRS{model}=="ADR*", RUN+="/sbin/modprobe st"
50-udev.rules:  RUN+="/sbin/modprobe st"
50-udev.rules:ACTION=="add", SUBSYSTEM=="mmc", RUN+="/sbin/modprobe mmc_block"
60-pcmcia.rules:#               RUN+="/sbin/modprobe $env{MODALIAS}"
60-pcmcia.rules:                RUN+="/sbin/modprobe pcmcia"

# fgrep modprobe *.rules|fgrep RUN|fgrep -v '/sbin/modprobe'|wc -l
0

# rpm -q udev
udev-113-7.fc8
Comment 4 David Zeuthen 2007-07-30 11:37:07 EDT
udev rules should never ever get marked as %config(noreplace); they are *not*
end-user configuration files and treating them as such will only help to make
Fedora more broken especially with all the recent bustage. 

Please reconsider changing this.
Comment 5 Kay Sievers 2007-07-30 12:30:39 EDT
I don't mark udev rules as noreplace in SUSE too. We should be able to overwrite
the "default" rules with a package update, because there are always non-trivial
inter-dependencies between the different rules files, and missing one or more of
the files may produce very unexpected results. Users should add their own rules
files for their needs, instead of editing the system supplied ones. Maybe we
should install them read-only to give a hint about that?
Comment 6 Harald Hoyer 2007-07-30 12:39:38 EDT
udev-113-8.fc7
Comment 7 Harald Hoyer 2007-07-30 12:41:03 EDT
yep... read-only and a header stating that these files will be overriden by the
next update.
Comment 8 David Zeuthen 2007-07-30 13:16:36 EDT
Harald, thanks for fixing this. I would suggest even stronger language in the
header of the files; something like

# This file is crucial for normal system operation.
# Editing this file may cause your system to malfunction.
# The contents of this file may be replaced on package updates.
# See udev(7) for more information.

and then we can add some stuff to the udev man page about this?

Note You need to log in before you can comment on or make changes to this bug.